[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoScaleFontPPI

Implements the ScaleFontsPPI method for the control.

## Declaration

Source position: controls.pp line 1561

`protected procedure TControl.DoScaleFontPPI(`
`const AFont: TFont;`
`const AToPPI: Integer;`
`const AProportion: Double`
`);`

## Arguments

`AFont` |  | Font examined and updated in the method.
`AToPPI` |  | Pixels per inch setting adjusted in the method.
`AProportion` |  | Scaling factor a applied to the font.

## Description

Adjusts the height for a given Font to the specified pixels per inch (PPI).

## See also

TControl.ScaleFontsPPI |  | Resizes a font to the specified Pixels per Inch setting.